=== src/chaoskey-v0.1/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=chaoskey-v0.1
include $(TOPDIR)/stmf0/Makefile-flash.defs
