=== src/telefireone-v2.0/flash-loader/Makefile ===
#
# AltOS flash loader build
#
#

TOPDIR=../..
HARDWARE=telefireone-v2.0
include $(TOPDIR)/stm/Makefile-flash.defs
