=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 prebuild:
 	echo "not frobbing changelog for official builds"
 
-configure_flags = --disable-install-shared-mime-info --enable-faketime
+configure_flags = \
+	--disable-install-shared-mime-info \
+	--enable-faketime \
+	--disable-multi-arch
 
 configure: configure-stamp
 configure-stamp:
